
#
# highly ranked on many instances:
#
#	out_firstorder3x3.txt		first derivative
#	out_roberts3x3.txt		first derivative
#	out_prewitt3x3.txt		first derivative
#	out_scharr3x3.txt		first derivative
#	out_sobel3x3.txt		first derivative
#	out_brenner.txt			first derivative
#	out_squaredGradient.txt		first derivative
#	out_firstDerivGaussian.txt	first derivative
#	out_LoG.txt			first derivative
#
#	out_laplacian5x5.txt		second derivative
#	out_sobel5x5so.txt		second derivative
#	out_sobel5x5soCross.txt		second derivative
#

for file in \
	    out_firstorder3x3.txt \
	    out_roberts3x3.txt \
	    out_prewitt3x3.txt \
	    out_scharr3x3.txt \
	    out_sobel3x3.txt \
	    out_brenner.txt \
	    out_squaredGradient.txt \
	    out_firstDerivGaussian.txt \
	    out_LoG.txt \
	    \
	    out_laplacian5x5.txt \
	    out_sobel5x5so.txt \
	    out_sobel5x5soCross.txt \
	    \
	    out_sobel3x3so.txt \
	    out_sobel3x3soCross.txt \
	    out_laplacian3x3.txt \
	    out_autoCorrelation.txt \
	    out_sobel5x5.txt \
	    out_thresholdGradient.txt \
	    out_th_cont.txt \
	    out_num_pix.txt \
	    out_power.txt \
	    out_var.txt \
	    out_nor_var.txt \
	    out_vollath4.txt \
	    out_vollath5.txt \
	    out_rangeHistogram.txt \
	    out_MGHistogram.txt \
	    out_entropyHistogram.txt \
	    out_MMHistogram.txt \
	    out_bzip2.txt \
	    out_gzip.txt \
	    out_jpeg.txt
do
    rm -f $file
    for benchmark in \
	Backyard \
	Bench \
	Book \
	Bridge \
	Building1 \
	Building2 \
	Building3 \
	Cat \
	Cup1 \
	Cup2 \
	Cup3 \
	Cup4 \
	Fabric \
	Flower \
	Interior1 \
	Interior2 \
	Lamp \
	Landscape1 \
	Landscape2 \
	Landscape3 \
	Moon \
	Screen \
	Snails \
	StillLife \
	Vase
    do
	echo -n $benchmark/$file ":" >> $file
	./localMax.exe < Results/$benchmark/$file >> $file
    done
    echo $file
    ./statistics.exe < $file
done

	#LowLightCandle1 \
	#LowLightCandle2 \
	#LowLightCup \
